Search documentation of polar_express

# PolarExpress.Resources.Files (polar_express v0.1.5)

Copy Markdown View Source

Files

Files API operations.

## Summary

### Types

t()

### Functions

object_name()

## Types

# t()

    @type t() :: %PolarExpress.Resources.Files{
      checksum_etag: term() | nil,
      checksum_sha256_base64: term() | nil,
      checksum_sha256_hex: term() | nil,
      id: String.t() | nil,
      is_uploaded: boolean() | nil,
      last_modified_at: term() | nil,
      mime_type: String.t() | nil,
      name: String.t() | nil,
      organization_id: String.t() | nil,
      path: String.t() | nil,
      service: map() | nil,
      size: integer() | nil,
      size_readable: String.t() | nil,
      storage_version: term() | nil,
      upload: map() | nil,
      version: term() | nil
    }

- `checksum_etag`
- `checksum_sha256_base64`
- `checksum_sha256_hex`
- `id` - The ID of the object. Format: uuid4.
- `is_uploaded`
- `last_modified_at`
- `mime_type`
- `name`
- `organization_id` - Format: uuid4.
- `path`
- `service`
- `size`
- `size_readable`
- `storage_version`
- `upload`
- `version`

## Functions

# object_name()